
Name:           transmission
Version:        1.33
Release:        1%{?dist}
Summary:        A lightweight GTK+ BitTorrent client

Group:          Applications/Internet
License:        MIT, GPLv2+
URL:            http://www.transmissionbt.com/
Source0:        http://download.m0k.org/transmission/files/transmission-%{version}.tar.bz2
Patch2:         transmission-1.11-copt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel >= 0.9.4
BuildRequires:  glib2-devel >= 2.6.0
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  libnotify-devel >= 0.4.4
BuildRequires:  curl-devel >= 7.15.0
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  desktop-file-utils
BuildRequires:  gettext intltool


%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.


%prep
%setup -q
%patch2 -p1 -b .copt


%build
%configure --with-gtk --without-wx
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora \
        --delete-original \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
        $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database > /dev/null 2>&1 || :


%postun
update-desktop-database > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/transmission*
%{_datadir}/transmission
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/transmission.*
%{_datadir}/applications/*transmission.desktop
%doc %{_mandir}/man1/transmission*


%changelog
* Fri Sep  5 2008 Denis Leroy <denis@poolshark.org> - 1.33-1
- Update to upstream 1.33
- Now dual-licensed
- Gnusource and download dir patches upstreamed

* Thu Jul 24 2008 Denis Leroy <denis@poolshark.org> - 1.22-1
- Update to upstream 1.22

* Fri May  2 2008 Denis Leroy <denis@poolshark.org> - 1.11-1
- Update to upstream 1.11, many bug fixes
- Patch to fix opening issue from browser (#431769)
- Patch to fix hardcoded optimize compile flags

* Fri Mar 21 2008 Denis Leroy <denis@poolshark.org> - 1.06-1
- Update to 1.06, bugfix release

* Wed Feb  6 2008 Denis Leroy <denis@poolshark.org> - 1.04-1
- Update to upstream 1.04, important bug fixes

* Thu Jan 31 2008 Denis Leroy <denis@poolshark.org> - 1.03-1
- Update to upstream 1.03
- Pref button hig patch upstreamed

* Sat Jan  5 2008 Denis Leroy <denis@poolshark.org> - 1.00-1
- Update to upstream 1.00, new project URL

* Tue Dec 11 2007 Denis Leroy <denis@poolshark.org> - 0.96-1
- Update to upstream 0.96, data corruption bugfix release
- Upstreamed config conversion patch

* Thu Nov 29 2007 Denis Leroy <denis@poolshark.org> - 0.94-1
- Update to upstream 0.94, many bugfixes
- Added patch to convert config file from 0.8x versions

* Tue Nov  6 2007 Denis Leroy <denis@poolshark.org> - 0.92-1
- Update to upstream 0.92
- Removal of -gtk suffix
- Obsoleting manpath patch

* Wed Sep 12 2007 Denis Leroy <denis@poolshark.org> - 0.82-1
- Update to upstream 0.82, many bug fixes
- Added patch to support default user download directory (Bastien Nocera)

* Sat Aug 25 2007 - Bastien Nocera <bnocera@redhat.com> - 0.81-1
- Update to upstream 0.81
- Add work-around for busted tarball without a sub-directory

* Thu Aug 16 2007 Denis Leroy <denis@poolshark.org> - 0.80-1
- Update to upstream 0.80

* Wed May  2 2007 Denis Leroy <denis@poolshark.org> - 0.72-1
- Update to 0.72
- Added libevent BR

* Wed Apr 25 2007 Denis Leroy <denis@poolshark.org> - 0.71-1
- Update to 0.71
- Removed custom desktop file
- Added patch to fix manpath

* Thu Sep 28 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-3
- Added project icon
- Honor cc variable

* Mon Sep 25 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-2
- Removed ldconfig Requires

* Wed Sep 13 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-1
- First version

